using System;

namespace kv2_z2
{
    class Program
    {
        static double izracunajz(long[] a, double[] p, long x, long y)
        {
            double uz = 0, s = 0;
            for (long i = x; i < y; i++)
            {
                s += a[i];
            }
            return (uz * p[x] / 100);
        }
        static void Main(string[] args)
        {
            long n = long.Parse(Console.ReadLine());
            long[] a = new long[n];
            double[] p = new double[n];
            for (long i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = long.Parse(s[0]);
                p[i] = double.Parse(s[1]);
            }
            Array.Sort(p, a);
            for (int i = 0; i < n; i++) Console.WriteLine(a[i] + " " + p[i]);
            double maxz = 0;
            for (long i = 0; i < n; i++)
            {
                double uz = izracunajz(a, p, i, n);
                if (uz > maxz) maxz = uz;
            }
            Console.WriteLine(maxz);
        }
    }
}